Bug 60281 - OPTIONS no longer respected in init.d/httpd for apache-1.3.22-2
OPTIONS no longer respected in init.d/httpd for apache-1.3.22-2
Product: Red Hat Linux
Classification: Retired
Component: apache (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
: 65214 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2002-02-24 06:04 EST by Gary Wisniewski
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-09-22 04:34:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gary Wisniewski 2002-02-24 06:04:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.8) Gecko/20020205

Description of problem:
As of the most recent apache-1.3.22-2 (in 7.2 updates) the $OPTIONS shell
variable is no longer sourced from /etc/sysconfig/apache as it was in earlier
versions.  This breaks add-ons which may have depended upon this useful
behavior.  The variable is still referred to on the command line, but no longer
sourced, so it looks like an unintentional omission rather than a functionality

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.create apache options in /etc/sysconfig/apache
2./etc/rc.d/init.d/httpd start
3.options are not respected

Additional info:
Comment 1 Joe Orton 2002-05-23 12:22:24 EDT
*** Bug 65214 has been marked as a duplicate of this bug. ***
Comment 2 Joe Orton 2002-05-23 12:24:01 EDT
(bug 65214 contains a patch too)
Comment 3 Brian Brock 2003-09-10 16:00:08 EDT
fix verified in QA.
Comment 4 Mark J. Cox (Product Security) 2003-09-22 04:34:36 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.